﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using ThinkGeo.Core;

namespace WpfApp
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Window1_OnLoaded(object sender, RoutedEventArgs e)
        {
            mapView.MapUnit = GeographyUnit.Meter;

            // Create the background world maps using vector tiles requested from the ThinkGeo Cloud Service and add it to the map
            ThinkGeoCloudVectorMapsOverlay thinkGeoCloudVectorMapsOverlay = new ThinkGeoCloudVectorMapsOverlay("itZGOI8oafZwmtxP-XGiMvfWJPPc-dX35DmESmLlQIU~", "bcaCzPpmOG6le2pUz5EAaEKYI-KSMny_WxEAe7gMNQgGeN9sqL12OA~~");
            mapView.Overlays.Add(thinkGeoCloudVectorMapsOverlay);

            double x = -10776836.12;
            double y = 3912348.04;

            LayerOverlay overlay1 = new LayerOverlay();
            overlay1.TileType = TileType.SingleTile;
            InMemoryFeatureLayer featureLayer1 = new InMemoryFeatureLayer();
            featureLayer1.InternalFeatures.Add(new Feature(x, y));

            overlay1.Layers.Add(featureLayer1);
            mapView.Overlays.Add(overlay1);

            PointStyle pointStyle = new PointStyle(new GeoImage(@".\AQUA.png"))
            {
                ImageScale = 1
            };

            featureLayer1.ZoomLevelSet.ZoomLevel01.CustomStyles.Clear();
            featureLayer1.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(pointStyle);
            pointStyle.RotationAngle = 10;

            featureLayer1.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            overlay1.Refresh();
        }
    }
}
